Page MenuHomePhabricator

Make determining the number of valid applications received easier
Closed, ResolvedPublic

Description

Elie: I noticed that the user IDs started at number 607 this year. I'm thinking

it would be easier to figure out how many we had if we had started from 01?
It's not a huge deal but maybe we should think about fixing this ?
Thanks and best wishes to you and yours !

Bryan: This is one of those vexing computer things that sounds like it should
be trivially easy and instead turns out to be maddeningly difficult to
fix consistently due to how the id numbers are generated. There are
also various reasons that there may be a gap in the id sequence or
entries in the application table that you don't really want to be
counted in the total of applications received.

What would be pretty trivial would be to ask the database for the
count of valid applications and show that count somewhere in the
application (or even on the application form itself). Phabricator [0]
is a good place to document ideas like this so we can find them again
when someone is looking at making updates to the app.

Event Timeline

eyoung created this task.Jan 5 2016, 7:01 PM
eyoung raised the priority of this task from to Normal.
eyoung updated the task description. (Show Details)
eyoung moved this task to Backlog on the Wikimedia-Wikimania-Scholarships board.
eyoung added a subscriber: eyoung.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2016, 7:01 PM
eyoung renamed this task from User ID sequence issue to User ID sequence issue Wikimania Scholarships.Jan 5 2016, 7:02 PM
eyoung set Security to None.
Shouston_WMF lowered the priority of this task from Normal to Low.Nov 22 2016, 7:46 PM
bd808 renamed this task from User ID sequence issue Wikimania Scholarships to Make determining the number of valid applicaitons received easier.Nov 22 2016, 9:54 PM
bd808 renamed this task from Make determining the number of valid applicaitons received easier to Make determining the number of valid applications received easier.Nov 22 2016, 10:16 PM

I would like to work on this task. Could you help me reproduce the issue? @bd808

The desired feature is a count of applications received somewhere in the administrator's user interface.

@eyoung, do you have a suggestion about where you would expect/want to see this information?

I'm not sure what I'm being asked. I would like to be able when we start the new round of submissions for scholarships that it begins with another number, like 01, so that I can easily tell when we close submissions how many applications we received. As Bryan says it's no trivial thing apparently... Right now it's just annoying to have to do the count manually to figure out how many applications we received. I wouldn't invest a lot of time into this.... Nice to have. There are other items that are more pressing I think!

I'm not sure what I'm being asked. I would like to be able when we start the new round of submissions for scholarships that it begins with another number, like 01, so that I can easily tell when we close submissions how many applications we received.

The current suggested change is to add a display of the number of submissions received to the user interface that administrators and reviewers can see when they use the backend application. This is easy to do by asking the database for a count of the submission records and does not have the same technical problems as resetting the AUTO_INCREMENT counter.

There are other items that are more pressing I think!

I agree that this is not the most pressing issue with the application, but it is a fairly simple one to work on which makes it great as a microtask for @Nehajha's Outreach application.


@Nehajha, lets start by adding the count of applications to the /review/phase1 screen. Make it display as something like:

Application count: N

Place this output between the navigation breadcrumbs and the tabs that switch between the different filtered views of the submitted applications list.

Change 381638 had a related patch set uploaded (by Nehajha; owner: Nehajha):
[wikimedia/wikimania-scholarships@master] Total number of applications received

https://gerrit.wikimedia.org/r/381638

Change 381638 had a related patch set uploaded (by BryanDavis; owner: Nehajha):
[wikimedia/wikimania-scholarships@master] Total number of applications received

https://gerrit.wikimedia.org/r/381638

Change 381638 merged by jenkins-bot:
[wikimedia/wikimania-scholarships@master] Total number of applications received

https://gerrit.wikimedia.org/r/381638

Niharika closed this task as Resolved.Oct 27 2017, 4:37 PM
Niharika claimed this task.
Niharika moved this task from In Dev/Progress to Done on the Wikimedia-Wikimania-Scholarships board.